package agents;

import sim.engine.SimState;
import sim.engine.Steppable;
import sim.engine.Stoppable;
import sim.util.Bag;

public class ConsolePrinter implements Steppable{
	public Stoppable event;
	public Data data = null;

	//Constructor
	public ConsolePrinter(AgentsSimulation as){
		this.event = as.schedule.scheduleRepeating(this, 1000, 1);
		data = new Data(); //Create the new data class and headers 
		
	}
	
	public void step(SimState state) {
		AgentsSimulation as = (AgentsSimulation)state;
		
		if(as.printToConsole && as.schedule.getSteps()%as.printSteps == 0){ //print every p steps
			Bag dd = data.getData(as, 0);
	        for (int j = 0; j < dd.numObjs; j++) {
	            System.out.print(dd.objs[j] + "\t");
	        }
	        System.out.println(); 
		}
		
	}

}
